# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'postdb/constants'

Gem::Specification.new do |spec|
  spec.name          = 'postdb'
  spec.version       = PostDB::VERSION
  spec.authors       = ['Rediweb Hosting']
  spec.email         = ['support@rediwebhosting.uk']

  spec.summary       = %q{Postfix Database Management}
  spec.description   = %q{An easy to use library for managing your postfix database.}
  spec.homepage      = 'https://rubygems.org/gems/postdb'
  spec.license       = 'GPL-3.0'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.executables   = spec.files.grep(%r{^bin/(?!((console|setup)$))}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activerecord',  '~> 4.2'
  spec.add_dependency 'attr_password', '~> 0.1'
  spec.add_dependency 'thor',          '~> 0.19.1'
  spec.add_dependency 'tty-prompt',    '~> 0.3'
  spec.add_dependency 'tty-table',     '~> 0.4'

  spec.add_dependency 'mysql',         '~> 2.9'
  spec.add_dependency 'mysql2',        '~> 0.4'
  spec.add_dependency 'postgresql',    '~> 1.0'
  spec.add_dependency 'sqlite3',       '~> 1.3'

  spec.add_development_dependency 'bundler', '~> 1.11'
end
